ck_pr_not(3)

NAME
ck_pr_not_ptr, ck_pr_not_double, ck_pr_not_char, ck_pr_not_uint, ck_pr_not_int, ck_pr_not_64, ck_pr_not_32, ck_pr_not_16, ck_pr_not_8 - atomic complement operations

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_pr.h>
void
ck_pr_not_ptr(void *target);
void
ck_pr_not_double(double *target);
void
ck_pr_not_char(char *target);
void
ck_pr_not_uint(unsigned int *target);
void
ck_pr_not_int(int *target);
void
ck_pr_not_64(uint64_t *target);
void
ck_pr_not_32(uint32_t *target);
void
ck_pr_not_16(uint16_t *target);
void
ck_pr_not_8(uint8_t *target);

DESCRIPTION
The ck_pr_not(3) family of functions atomically complement the value pointed to by target.

RETURN VALUES
These functions have no return value.

SEE ALSO
ck_pr_fence_load(3), ck_pr_fence_load_depends(3), ck_pr_fence_store(3), ck_pr_fence_memory(3), ck_pr_load(3), ck_pr_store(3), ck_pr_fas(3), ck_pr_faa(3), ck_pr_inc(3), ck_pr_not(3), ck_pr_neg(3), ck_pr_add(3), ck_pr_sub(3), ck_pr_and(3), ck_pr_or(3), ck_pr_xor(3), ck_pr_cas(3), ck_pr_btc(3), ck_pr_bts(3), ck_pr_btr(3)

Additional information available at http://concurrencykit.org/